%define realname	mpc
%define libmajor	3
%define libname		%mklibname %{realname} %{libmajor}
%define libname_devel	%mklibname %{realname} -d

Summary:	Arithmetic of complex numbers with arbitrarily high precision and correct rounding
Name:		libmpc
Version:	1.3.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.multiprecision.org/%{realname}
Source0:	https://www.multiprecision.org/downloads/%{realname}-%{version}.tar.gz
BuildRequires:	libgmp-devel >= 5.0.0
BuildRequires:	pkgconfig(mpfr) >= 4.1.0

%description
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr. The library is written by Andreas Enge,
Philippe Théveny and Paul Zimmermann and is distributed under the Gnu Lesser
General Public License, either version 2.1 of the licence, or (at your option)
any later version. The Mpc library has been registered in France by the
Agence pour la Protection des Programmes on 2003-02-05 under the number
IDDN FR 001 060029 000 R P 2003 000 10000.

%package	-n %{libname}
Summary:	Arithmetic of complex numbers with arbitrarily high precision and correct rounding
Group:		System/Libraries

%description	-n %{libname}
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr. The library is written by Andreas Enge,
Philippe Théveny and Paul Zimmermann and is distributed under the Gnu Lesser
General Public License, either version 2.1 of the licence, or (at your option)
any later version. The Mpc library has been registered in France by the
Agence pour la Protection des Programmes on 2003-02-05 under the number
IDDN FR 001 060029 000 R P 2003 000 10000.

%package	-n %{libname_devel}
Summary:	Development headers and libraries for MPC
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname_devel}
Development headers and libraries for MPC.

%prep
%setup -q -n %{realname}-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}/%{_libdir}/*.la

%check
%make_build check

%files -n %{libname}
%doc AUTHORS NEWS README TODO
%{_libdir}/libmpc.so.%{libmajor}{,.*}

%files -n %{libname_devel}
%{_includedir}/mpc.h
%{_infodir}/mpc.info*
%{_libdir}/libmpc.so


%changelog
* Sat Jan 07 2023 tmb <tmb> 1.3.1-1.mga9
+ Revision: 1930865
- update to 1.3.1

* Fri Mar 18 2022 umeabot <umeabot> 1.2.1-2.mga9
+ Revision: 1798638
- Mageia 9 Mass Rebuild

* Wed Nov 18 2020 luigiwalser <luigiwalser> 1.2.1-1.mga8
+ Revision: 1647139
- 1.2.1

* Fri Feb 14 2020 umeabot <umeabot> 1.1.0-4.mga8
+ Revision: 1519173
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Oct 04 2018 pterjan <pterjan> 1.1.0-3.mga7
+ Revision: 1317688
- Fix encoding
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ tv <tv>
- remove unused deps on info-install
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 19 2018 kekepower <kekepower> 1.1.0-1.mga7
+ Revision: 1202971
- Update to version 1.1.0

* Thu Jan 18 2018 tmb <tmb> 1.0.3-2.mga7
+ Revision: 1194359
- rebuild with/for new gcc

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.0.3-1.mga6
+ Revision: 918783
- 1.0.3

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 743580
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.2-3.mga5
+ Revision: 726766
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-2.mga5
+ Revision: 681615
- Mageia 5 Mass Rebuild

* Wed Feb 26 2014 luigiwalser <luigiwalser> 1.0.2-1.mga5
+ Revision: 597336
- 1.0.2

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 507246
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 357801
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 14 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 293751
- new version 1.0.1
+ fedya <fedya>
- version update 1.0 old patch for automake1.12 dropped

* Mon Aug 15 2011 fwang <fwang> 0.9-1.mga2
+ Revision: 133422
- new verison 0.9

* Tue Jan 18 2011 tmb <tmb> 0.8.2-2.mga1
+ Revision: 23143
- imported package libmpc


* Tue Jan 18 2011 Thomas Backlund <tmb@mageia.org> 0.8.2-2.mga1
- Initial Mageia import

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.8.2-1mdv2011.0
+ Revision: 564844
- new version 0.8.2

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 0.8.1-3mdv2010.1
+ Revision: 503555
- rebuild for new gmp

* Mon Jan 11 2010 Paulo Andrade <pcpa@mandriva.com.br> 0.8.1-2mdv2010.1
+ Revision: 489813
+ rebuild (emptylog)

* Mon Jan 11 2010 Paulo Andrade <pcpa@mandriva.com.br> 0.8.1-1mdv2010.1
+ Revision: 489808
- Import mpc version 0.8.1.
- libmpc

